package cz.cvut.kbss.wpa.jpa;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class PersistenceFactory {
    
    private static EntityManagerFactory factory;
    
    /**
     * Jednoducha implementace navrhoveho vzoru singelton pro zaruceni jedinecne 
     * instance EntityManagerFactory.
     * 
     * POZOR, neni thread safe!!!
     * @return 
     */
    public static EntityManagerFactory getFactory(){
        if(factory == null){
            factory = Persistence.createEntityManagerFactory("sample_persistence_unit");
        }
        return factory;
    }

    
    /**
     * factory metoda pro vytvareni instance EntityManager.
     * @return 
     */
    public static EntityManager createNewEntityManager(){
        return getFactory().createEntityManager();
    }
    
}
