package cz.cvut.kbss.wpa.jpa.datagen;

import cz.cvut.kbss.wpa.jpa.PersistenceFactory;
import cz.cvut.kbss.wpa.jpa.model.Employee;
import java.util.Random;
import javax.persistence.EntityManager;

public class EmployeeGenerator {

    public static String[] names = new String[]{"Jan", "Petr", "Martin", "Tomas", "Martina", "Petra", "Ivana"};
    public static String[] surnames = new String[]{"Kostot", "Nester", "Horak", "Bartunek", "Hornichek", "Nezkusil", "Dvorak"};

    public void generateEmployees(int max) {
        Random r = new Random(0);
        int limit = r.nextInt(max);
        final EntityManager em = PersistenceFactory.createNewEntityManager();
        try {
            em.getTransaction().begin();
            for (int i = 0; i < limit; i++) {
                Employee emp = new Employee(names[r.nextInt(names.length)], surnames[r.nextInt(names.length)]);
                em.persist(emp);
            }
            em.getTransaction().commit();
        } finally {
            em.close();
        }
    }

    public static void main(String[] args) {
        new EmployeeGenerator().generateEmployees(100);
    }
}
